package com.jwipc.spe.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jwipc.spe.entity.QmNoticeOrder;
import com.jwipc.spe.model.po.QmNoticeOrderPO;
import com.jwipc.spe.model.query.QmNoticeOrderQuery;

import java.util.List;

/**
 * <p>
 * 质量管理通知单 服务类
 * </p>
 *
 * @author AL
 * @since 2024-03-07
 */
public interface IQmNoticeOrderService extends IService<QmNoticeOrder> {

    List<QmNoticeOrderPO> findPageByQuery(Page<QmNoticeOrder> dbPage, QmNoticeOrderQuery query);
    List<QmNoticeOrderPO> findPageByQueryEnd(Page<QmNoticeOrder> dbPage, QmNoticeOrderQuery query);
    List<QmNoticeOrderPO> findPageByQueryImprove( Long id);
    List<QmNoticeOrderPO> findListByQuery(Page<QmNoticeOrder> dbPage, QmNoticeOrderQuery query);

    QmNoticeOrderPO getDataById(Long id);

    List<QmNoticeOrderPO> selectWarnList();

    List<QmNoticeOrderPO> selectQmNoticeOrderWarnList();

    /**
     * ISC质量整改父级排除列表
     *
     * @param noticeOrderFormMap 查询条件
     * @return 结果
     */
//    List<NoticeOrderFormMap> findFatherMergeByPage(NoticeOrderFormMap noticeOrderFormMap);
}
